%define name zz_sshd_pam
%define version 3.9
%define release 1

Summary: Change the sshd_config to use Pam, which is turned off by default.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Fermi
BuildArch: noarch

%description
Change the sshd_config to use Pam, which is turned off by default.
This is designed for openssh 3.9 and newer.

%triggerin -- openssh-server
cat /etc/ssh/sshd_conf | sed 's:^UsePAM no:UsePAM yes:' > /etc/ssh/sshd_conf.tmp
mv -f /etc/ssh/sshd_conf.tmp /etc/ssh/sshd_conf

%triggerpostun -- openssh-server
cat /etc/ssh/sshd_conf | sed 's:^UsePAM yes:UsePAM no:' > /etc/ssh/sshd_conf.tmp
mv -f /etc/ssh/sshd_conf.tmp /etc/ssh/sshd_conf

%files

%changelog
* Mon Aug 21 2006 Troy Dawson <dawson@fnal.gov> 3.9-1
- First go round

